%undefine __cmake_in_source_build
%undefine __cmake3_in_source_build

Name:		srm-ifce
Version:	1.24.7
Release:    1%{?dist}
Summary:	SRM client side library
License:	Apache-2.0
URL:		https://dmc-docs.web.cern.ch/dmc-docs/srm-ifce.html
Source0:	%{name}-%{version}.tar.gz

BuildRequires:	gcc
BuildRequires:	gcc-c++
BuildRequires:	cmake3
BuildRequires:	CGSI-gSOAP-devel >= 1.3.10
BuildRequires:	glib2-devel
BuildRequires:	globus-ftp-client-devel
BuildRequires:	globus-gss-assist-devel

Requires:	CGSI-gSOAP >= 1.3.10

%description
srm-ifce is a client side implementation of the SRMv2 specification
for GFAL1/2 and FTS. SRM means Storage Resource Manager Interface, it is a 
specification of a SOAP interface providing a generic way to manage 
distributed storage systems.

%package devel
Summary:	SRM client side headers and development files
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel
Requires:	pkgconfig

%description devel
Development libraries, pkgconfig files and header files for
the srm-ifce.

%prep
%setup -q

%build
%cmake3 -D DOC_INSTALL_DIR=%{_pkgdocdir}
%cmake3_build

%install
%cmake3_install

%clean
%cmake3_build --target clean


%files
%{_bindir}/gfal_srm_ifce_version
%{_libdir}/libgfal_srm_ifce.so.*
%dir %{_pkgdocdir}
%{_pkgdocdir}/LICENSE
%{_pkgdocdir}/VERSION
%{_pkgdocdir}/README
%{_pkgdocdir}/readme.html

%files devel
%{_libdir}/pkgconfig/*
%{_libdir}/libgfal_srm_ifce.so
%{_includedir}/gfal_srm_ifce.h
%{_includedir}/gfal_srm_ifce_types.h
%{_pkgdocdir}/RELEASE-NOTES

%changelog
* Thu Aug 15 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.24.7-1
- initial build
